We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent 1250867 commit 3a1fe30Copy full SHA for 3a1fe30
lint
@@ -0,0 +1,26 @@
1
+#!/usr/bin/env bash
2
+
3
+set -o errexit
4
+set -o nounset
5
+set -o pipefail
6
7
+if [ ! $(command -v gometalinter) ]
8
+then
9
+ go get github.com/alecthomas/gometalinter
10
+ gometalinter --update --install
11
+fi
12
13
+time gometalinter \
14
+ --exclude='error return value not checked.*(Close|Log|Print).*\(errcheck\)$' \
15
+ --exclude='.*_test\.go:.*error return value not checked.*\(errcheck\)$' \
16
+ --exclude='/thrift/' \
17
+ --exclude='/pb/' \
18
+ --exclude='no args in Log call \(vet\)' \
19
+ --disable=dupl \
20
+ --disable=aligncheck \
21
+ --disable=gotype \
22
+ --cyclo-over=20 \
23
+ --tests \
24
+ --concurrency=2 \
25
+ --deadline=300s \
26
+ ./...
0 commit comments